package bou.amine.apps.readerforselfossv2.utils

import android.text.format.DateUtils
import bou.amine.apps.readerforselfossv2.service.AppSettingsService
import kotlinx.datetime.*
import java.time.format.DateTimeFormatter


actual class DateUtils actual constructor(actual val appSettingsService: AppSettingsService) {

    actual fun parseDate(dateString: String): Long {
        return try {
            Instant.parse(dateString).toEpochMilliseconds()
        } catch (e: Exception) {
            LocalDateTime.parse(dateString.replace(" ", "T")).toInstant(TimeZone.currentSystemDefault()).toEpochMilliseconds()
        }
    }

    actual fun parseRelativeDate(dateString: String): String {

        val date = parseDate(dateString)

        return " " + DateUtils.getRelativeTimeSpanString(
            date,
            Clock.System.now().toEpochMilliseconds(),
            DateUtils.MINUTE_IN_MILLIS,
            DateUtils.FORMAT_ABBREV_RELATIVE
        )
    }
}